API Reference

Org Units

6 endpoints· Auth: JWT or API Key
post/api/v1/console/hr/departments JWT API Key

Create departments

Request body

application/json
{
  "name": "string"
}
name
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/departments" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/hr/departments/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string"
}
name
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/hr/departments/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/hr/departments/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/hr/departments/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/positions JWT API Key

Create positions

Request body

application/json
{
  "title": "string",
  "departmentId": "00000000-0000-0000-0000-000000000000",
  "baseSalary": 0
}
title
string
—
departmentId
string (uuid)
—
baseSalary
integer (int64)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/positions" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "title": "string",
  "departmentId": "00000000-0000-0000-0000-000000000000",
  "baseSalary": 0
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/hr/positions/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "title": "string",
  "departmentId": "00000000-0000-0000-0000-000000000000",
  "baseSalary": 0
}
title
string
—
departmentId
string (uuid)
—
baseSalary
integer (int64)
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/hr/positions/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "title": "string",
  "departmentId": "00000000-0000-0000-0000-000000000000",
  "baseSalary": 0
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/hr/positions/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/hr/positions/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu